リストのレコードを追加または削除
curl --request PUT \
--url https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add-and-remove \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"recordIdsToAdd": [
"<string>"
],
"recordIdsToRemove": [
"<string>"
]
}
'import requests
url = "https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add-and-remove"
payload = {
"recordIdsToAdd": ["<string>"],
"recordIdsToRemove": ["<string>"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({recordIdsToAdd: ['<string>'], recordIdsToRemove: ['<string>']})
};
fetch('https://api.hubapi.com/crm/lists/2026-03/{listId}/memberships/add-and-remove', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"recordIdsMissing": [
"<string>"
],
"recordIdsRemoved": [
"<string>"
],
"recordsIdsAdded": [
"<string>"
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}メンバーシップ
Update list membership
システムにすでに作成されているレコードをリストに追加するか、リストから削除します。
このエンドポイントは、「processingType」が「MANUAL」または「SNAPSHOT」のリストでのみ機能します。
PUT
/
crm
/
lists
/
2026-03
/
{listId}
/
memberships
/
add-and-remove
リストのレコードを追加または削除
Supported products
Supported products
Required Scopes
Required Scopes
承認
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
「MANUAL」または「SNAPSHOT」リストのILS ID。
最終更新日 2026年4月10日
⌘I